Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLBodyElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLBodyElementImpl

public final class HTMLBodyElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLBodyElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:09 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLBodyElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLBodyElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getALink()`
`java.lang.String` | `getBackground()`
`java.lang.String` | `getBgColor()`
`java.lang.String` | `getLink()`
`java.lang.String` | `getText()`
`java.lang.String` | `getVLink()`
`void` | `setALink(java.lang.String aLink)`
`void` | `setBackground(java.lang.String background)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setLink(java.lang.String link)`
`void` | `setText(java.lang.String text)`
`void` | `setVLink(java.lang.String vLink)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLBodyElementImpl

    public HTMLBodyElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getALink

    public java.lang.String getALink()

  Specified by:
    getALink in interface org.w3c.dom.html.HTMLBodyElement

### setALink

    public void setALink(java.lang.String aLink)

  Specified by:
    setALink in interface org.w3c.dom.html.HTMLBodyElement

### getBackground

    public java.lang.String getBackground()

  Specified by:
    getBackground in interface org.w3c.dom.html.HTMLBodyElement

### setBackground

    public void setBackground(java.lang.String background)

  Specified by:
    setBackground in interface org.w3c.dom.html.HTMLBodyElement

### getBgColor

    public java.lang.String getBgColor()

  Specified by:
    getBgColor in interface org.w3c.dom.html.HTMLBodyElement

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    setBgColor in interface org.w3c.dom.html.HTMLBodyElement

### getLink

    public java.lang.String getLink()

  Specified by:
    getLink in interface org.w3c.dom.html.HTMLBodyElement

### setLink

    public void setLink(java.lang.String link)

  Specified by:
    setLink in interface org.w3c.dom.html.HTMLBodyElement

### getText

    public java.lang.String getText()

  Specified by:
    getText in interface org.w3c.dom.html.HTMLBodyElement

### setText

    public void setText(java.lang.String text)

  Specified by:
    setText in interface org.w3c.dom.html.HTMLBodyElement

### getVLink

    public java.lang.String getVLink()

  Specified by:
    getVLink in interface org.w3c.dom.html.HTMLBodyElement

### setVLink

    public void setVLink(java.lang.String vLink)

  Specified by:
    setVLink in interface org.w3c.dom.html.HTMLBodyElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD